# Visualization
TKService
TColQuantity

# TColQuantity_HArray2OfLength Class Reference

`#include <TColQuantity_HArray2OfLength.hxx>`

## Public Member Functions

Standard_EXPORT | TColQuantity_HArray2OfLength (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColQuantity_HArray2OfLength (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Quantity_Length &V)
Standard_EXPORT void | Init (const Quantity_Length &V)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Quantity_Length &Value)
Standard_EXPORT const Quantity_Length & | Value (const Standard_Integer Row, const Standard_Integer Col) const
Standard_EXPORT Quantity_Length & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
const TColQuantity_Array2OfLength & | Array2 () const
TColQuantity_Array2OfLength & | ChangeArray2 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColQuantity_Array2OfLength | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TColQuantity_HArray2OfLength::TColQuantity_HArray2OfLength | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColQuantity_HArray2OfLength::TColQuantity_HArray2OfLength | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Quantity_Length & | V
| ) |

## Member Function Documentation

const TColQuantity_Array2OfLength& TColQuantity_HArray2OfLength::Array2 | ( |  | ) | const

TColQuantity_Array2OfLength& TColQuantity_HArray2OfLength::ChangeArray2 | ( |  | ) |

Standard_EXPORT Quantity_Length& TColQuantity_HArray2OfLength::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColQuantity_HArray2OfLength::ColLength | ( |  | ) | const

Standard_EXPORT const TColQuantity_HArray2OfLength::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TColQuantity_HArray2OfLength::Init | ( | const Quantity_Length & | V | ) |

Standard_Integer TColQuantity_HArray2OfLength::LowerCol | ( |  | ) | const

Standard_Integer TColQuantity_HArray2OfLength::LowerRow | ( |  | ) | const

Standard_Integer TColQuantity_HArray2OfLength::RowLength | ( |  | ) | const

void TColQuantity_HArray2OfLength::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Quantity_Length & | Value
| ) |

Standard_Integer TColQuantity_HArray2OfLength::UpperCol | ( |  | ) | const

Standard_Integer TColQuantity_HArray2OfLength::UpperRow | ( |  | ) | const

Standard_EXPORT const Quantity_Length& TColQuantity_HArray2OfLength::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

TColQuantity_Array2OfLength TColQuantity_HArray2OfLength::myArray `[private]`

The documentation for this class was generated from the following file:

- TColQuantity_HArray2OfLength.hxx